WHATSAPP TO STOP WORKING ON HTC DESIRE, GALAXY S2 AND MORE FROM 1 JANUARY 2021

WhatsApp is getting a new update to prevent the messaging app from working on millions of phones from 1 January 2021. According to an Independent report, older Android and iPhone devices will not support the app’s latest version. This will force owners to update the mobile operating system or buy a new device. The report adds that any iPhone that is not running iOS 9 or newer and any other smartphone not running at least Android 4.0.3 will not operate the Facebook-owned app.

iPhone models up to iPhone 4 will not be able to run WhatsApp anymore. However, even though iPhone 4S, iPhone 5, iPhone 5S, iPhone 6, and iPhone 6S were all released before iOS 9, they can still update their operating system. Android phones that will lose WhatsApp support include Samsung Galaxy S2, HTC Desire, and LG Optimus Black.

Phones that will lose WhatsApp support from 1 January 2021 include:

  • Samsung Galaxy S2
  • Apple iPhone 1-4
  • HTC Desire
  • LG Optimus Black
  • Motorola Droid Razr
  • Android devices released before 2010

Devices that will need to update to iOS 9 or higher or Android OS 4.0.3 include:

  • Apple iPhone 4S
  • iPhone 5
  • iPhone 5S
  • iPhone 6
  • iPhone 6S
  • Samsung Galaxy S3 and newer
  • Samsung Galaxy Note
  • HTC Sensation
  • HTC Thunderbolt
  • LG Lucid
  • Motorola Droid 4
  • Sony Xperia Pro and newer

Leave a Comment

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Do NOT follow this link or you will be banned from the site!
error: Unauthorized Content Copy Is Not Allowed
Scroll to Top
%d bloggers like this: